Change Requests API Resource

Abstract class for REST webservices

GET /changerequest/json

Get list of all changerequests

Try it out!

Request Parameters
name type description default constraints
filter query    
limit query 25 long
offset query 0 long
sortField query    
Response Body
media type data type description
application/json object (JSON)

POST /changerequest/json

Get list of all changerequests

Try it out!

Request Body
media type data type
application/json map of string (JSON)
Response Body
media type data type description
application/json object (JSON)

GET /changerequest/report

Get list of all changerequests

Try it out!

Request Parameters
name type description default constraints
filter query    
sortField query    
Response Body
media type data type description
application/json HdcPathProcessStateTO (JSON) json response with information about started process

POST /changerequest/start

Start change request

Try it out!

Request Body
media type data type
application/json ChangeRequestData (JSON)
Response Body
media type data type description
application/json object (JSON) JSON response with the information about change request just after start

Example of response:

PUT /changerequest/json/{changeRequestId}

Update change request info

Try it out!

Request Parameters
name type description default constraints
changeRequestId path Id of drawing   long
Request Body
media type data type
application/json ChangeRequestData (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /changerequest/json/{drawingId}

Get list of all changerequests for given drawingId

Try it out!

Request Parameters
name type description default constraints
drawingId path Id of drawing   long
filter query    
Response Body
media type data type description
application/json object (JSON)

GET /changerequest/states/json

Get all workflow states

Try it out!

Response Body
media type data type description
application/json object (JSON)

POST /changerequest/util/initialize

Initialize Change Request Workflow

Try it out!

Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON response with the information whether the initialization has or has not been succeeded.

PUT /changerequest/action/{changeRequestId}/{actionId}

Execute action

Try it out!

Request Parameters
name type description default constraints
actionId path Id of action that should be executed on given change request   int
changeRequestId path Id of chenge request that should be changed   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

POST /changerequest/assign/{changeRequestId}/{userId}

Assign user to change request

Try it out!

Request Parameters
name type description default constraints
changeRequestId path Id of change request   long
userId path Id of user which should be set as assignee   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /changerequest/comment/json/{changeRequestId}

Get list of comments for given change request

Try it out!

Request Parameters
name type description default constraints
changeRequestId path Id of change request   long
Response Body
media type data type description
application/json object (JSON)

POST /changerequest/comment/json/{changeRequestId}

Try it out!

Request Parameters
name type description default constraints
changeRequestId path   long
Request Body
media type data type
application/json ChangeRequestComment (JSON)
Response Body
media type data type description
application/json HdcSuccessWithId (JSON)

DELETE /changerequest/comment/json/{commentId}

Delete comment.

Try it out!

Request Parameters
name type description default constraints
commentId path ID of comment to be deleted   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the deletion has or has not been succeeded.

PUT /changerequest/comment/json/{commentId}

Update layer.

Example of request:

{"objectName":"BTA","metadata":{"layerStyle":"fill:none;stroke:#0000FF;stroke-width:0.03"}}

Try it out!

Request Parameters
name type description default constraints
commentId path ID of layer to be updated   long
Request Body
media type data type description
application/json ChangeRequestComment (JSON) The specification of layer that has to be updated.
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the updating has or has not been succeeded.

GET /changerequest/history/json/{changeRequestId}

Get history of given change request

Try it out!

Request Parameters
name type description default constraints
changeRequestId path Id of change request   long
Response Body
media type data type description
application/json object (JSON)

GET /changerequest/json/{drawingId}/{requestId}

Get given change request for given drawingId

Try it out!

Request Parameters
name type description default constraints
drawingId path Id of drawing   long
requestId path Id of change request   long
Response Body
media type data type description
application/json object (JSON)

GET /changerequest/requests-svg/json/{contentId}

Get requests structure with svg for given drawing.

Try it out!

Request Parameters
name type description default constraints
contentId path ID of composite drawing   long
filter query    
Response Body
media type data type description
application/json HdcDrawingStructureTO (JSON) JSON response with svg structure

GET /changerequest/requests-svg/json/{contentId}/{requestId}

Get requests structure with svg for given drawing and changeRequest

Try it out!

Request Parameters
name type description default constraints
contentId path ID of composite drawing   long
requestId path   long
Response Body
media type data type description
application/json HdcDrawingStructureTO (JSON) JSON response with svg structure